// CPlayerManager - [2020-04-13 11:57:47]
#ifndef _CPLAYERMANAGER_H_
#define _CPLAYERMANAGER_H_

#include "common.h"

/*
0015BF28 CPlayerManager::ResetSprintRate()
0015BF50 CPlayerManager::UpdatePlayersLogic()
0015BF7C CPlayerManager::UpdatePlayers()
0015C054 CPlayerManager::UpdateFacingMode()
0015C0B0 CPlayerManager::SetPlayersWalking(bool)
0015C0E8 CPlayerManager::AvoidPlayers()
0015C164 CPlayerManager::PlayersSlowToWalk()
0015C2B8 CPlayerManager::LookAtBallAll(bool)
0015C340 CPlayerManager::SetPlayersUpset(int,int)
0015C378 CPlayerManager::PositionPlayersAtDest()
0015C3AC CPlayerManager::IsPlayerAction(int)
*/

class CPlayerManager {
public:
  void ResetSprintRate();                 // 0015BF28
  static void UpdatePlayersLogic();       // 0015BF50
  static void UpdatePlayers();            // 0015BF7C
  static int32 UpdateFacingMode();        // 0015C054
  static void SetPlayersWalking(bool);    // 0015C0B0
  void AvoidPlayers();                    // 0015C0E8
  void PlayersSlowToWalk();               // 0015C164
  void LookAtBallAll(bool);               // 0015C2B8
  static void SetPlayersUpset(int, int);  // 0015C340
  void PositionPlayersAtDest();           // 0015C378
  static bool IsPlayerAction(int);        // 0015C3AC

  static int m_eFacingMode;  // 003A286C
};

#endif  //_CPLAYERMANAGER_H_